package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PegawaiRekrutmenDokumen_T")
public class PegawaiRekrutmenDokumen extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "strukPelayananFk")
	@Caption(value="strukPelayananFk")
	private StrukPelayanan strukPelayanan;

	@Column(name = "strukPelayananFk", insertable=false,updatable=false,nullable=false)
	private String strukPelayananId;

	@ManyToOne
	@JoinColumn(name = "pegawaiFk")
	@Caption(value="pegawaiFk")
	private Pegawai pegawai;

	@Column(name = "pegawaiFk", insertable=false,updatable=false,nullable=false)
	private Integer pegawaiId;

	@ManyToOne
	@JoinColumn(name = "dokumenFk")
	@Caption(value="dokumenFk")
	private Dokumen dokumen;

	@Column(name = "dokumenFk", insertable=false,updatable=false,nullable=false)
	private Integer dokumenId;
	
	@ManyToOne
	@JoinColumn(name = "strukHistoriFk")
	@Caption(value="strukHistoriFk")
	private StrukHistori strukHistori;

	@Column(name = "strukHistoriFk", insertable=false,updatable=false,nullable=true)
	private String strukHistoriId;

	public StrukPelayanan getStrukPelayanan() {
		return strukPelayanan;
	}

	public void setStrukPelayanan(StrukPelayanan strukPelayanan) {
		this.strukPelayanan = strukPelayanan;
	}

	public String getStrukPelayananId() {
		return strukPelayananId;
	}

	public void setStrukPelayananId(String strukPelayananId) {
		this.strukPelayananId = strukPelayananId;
	}

	public Pegawai getPegawai() {
		return pegawai;
	}

	public void setPegawai(Pegawai pegawai) {
		this.pegawai = pegawai;
	}

	public Integer getPegawaiId() {
		return pegawaiId;
	}

	public void setPegawaiId(Integer pegawaiId) {
		this.pegawaiId = pegawaiId;
	}

	public Dokumen getDokumen() {
		return dokumen;
	}

	public void setDokumen(Dokumen dokumen) {
		this.dokumen = dokumen;
	}

	public Integer getDokumenId() {
		return dokumenId;
	}

	public void setDokumenId(Integer dokumenId) {
		this.dokumenId = dokumenId;
	}

	public StrukHistori getStrukHistori() {
		return strukHistori;
	}

	public void setStrukHistori(StrukHistori strukHistori) {
		this.strukHistori = strukHistori;
	}

	public String getStrukHistoriId() {
		return strukHistoriId;
	}

	public void setStrukHistoriId(String strukHistoriId) {
		this.strukHistoriId = strukHistoriId;
	}

}
